Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/aes.h File Reference

AES block cipher, header. More...

Go to the source code of this file.

## Data Structures
struct | aesParam
## Functions
BEECRYPTAPI int | aesSetup (aesParam *ap, const uint32 *key, int keybits, cipherOperation op)
BEECRYPTAPI int | aesSetIV (aesParam *ap, const uint32 *iv)
BEECRYPTAPI int | aesEncrypt (aesParam *ap, uint32 *dst, const uint32 *src)
BEECRYPTAPI int | aesDecrypt (aesParam *ap, uint32 *dst, const uint32 *src)
BEECRYPTAPI int | aesECBEncrypt (aesParam *ap, int count, uint32 *dst, const uint32 *src)
BEECRYPTAPI int | aesECBDecrypt (aesParam *ap, int count, uint32 *dst, const uint32 *src)
BEECRYPTAPI int | aesCBCEncrypt (aesParam *ap, int count, uint32 *dst, const uint32 *src)
BEECRYPTAPI int | aesCBCDecrypt (aesParam *ap, int count, uint32 *dst, const uint32 *src)
## Variables
const BEECRYPTAPI blockCipher | aes

## Detailed Description

AES block cipher, header.

Definition in file aes.h.